[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ] |  |  |  |  | [Top] | [Contents] | [Index] | [ ? ]

## 4.15 Forecasting

On a calibrated model, forecasting is done using the `forecast` command. On an estimated command, use the `forecast` option of `estimation` command.

It is also possible to compute forecasts on a calibrated or estimated model for a given constrained path of the future endogenous variables. This is done, from the reduced form representation of the DSGE model, by finding the structural shocks that are needed to match the restricted paths. Use `conditional_forecast`, `conditional_forecast_paths` and `plot_conditional_forecast` for that purpose.

Finally, it is possible to do forecasting with a Bayesian VAR using the `bvar_forecast` command.

Command: forecast [VARIABLE_NAME…];
Command: forecast (OPTIONS…) [VARIABLE_NAME…];

  Description

  This command computes a simulation of a stochastic model from an arbitrary initial point.

  When the model also contains deterministic exogenous shocks, the simulation is computed conditionaly to the agents knowing the future values of the deterministic exogenous variables.

  `forecast` must be called after `stoch_simul`.

  `forecast` plots the trajectory of endogenous variables. When a list of variable names follows the command, only those variables are plotted. A 90% confidence interval is plotted around the mean trajectory. Use option `conf_sig` to change the level of the confidence interval.

  Options

  `periods = INTEGER`

    Number of periods of the forecast. Default: `40`

  `conf_sig = DOUBLE`

    Level of significance for confidence interval. Default: `0.90`

  `nograph`

    Don’t display graphics.

  Output

  The results are stored in `oo_.forecast`, which is described below.

  Example

      varexo_det tau;
      varexo e;

      …

      shocks;
      var e; stderr 0.01;
      var tau;
      periods 1:9;
      values -0.15;
      end;

      stoch_simul(irf=0);

      forecast;

MATLAB/Octave variable: oo_.forecast

  Variable set by the `forecast` command, or by the `estimation` command if used with the `forecast` option. Fields are of the form:

      oo_.forecast.FORECAST_MOMENT.VARIABLE_NAME

  where FORECAST_MOMENT is one of the following:

  `HPDinf`

    Lower bound of a 90% HPD interval(6) of forecast due to parameter uncertainty

  `HPDsup`

    Lower bound of a 90% HPD interval due to parameter uncertainty

  `HPDTotalinf`

    Lower bound of a 90% HPD interval of forecast due to parameter uncertainty and future shocks (only with the `estimation` command)

  `HPDTotalsup`

    Lower bound of a 90% HPD interval due to parameter uncertainty and future shocks (only with the `estimation` command)

  `Mean`

    Mean of the posterior distribution of forecasts

  `Median`

    Median of the posterior distribution of forecasts

  `Std`

    Standard deviation of the posterior distribution of forecasts

Command: conditional_forecast (OPTIONS…) [VARIABLE_NAME…];

  Description

  This command computes forecasts on an estimated model for a given constrained path of some future endogenous variables. This is done, from the reduced form representation of the DSGE model, by finding the structural shocks that are needed to match the restricted paths. This command has to be called after estimation.

  Use `conditional_forecast_paths` block to give the list of constrained endogenous, and their constrained future path. Option `controlled_varexo` is used to specify the structural shocks which will be matched to generate the constrained path.

  Use `plot_conditional_forecast` to graph the results.

  Options

  `parameter_set = `prior_mode` | `prior_mean` | `posterior_mode` | `posterior_mean` | `posterior_median``

    Specify the parameter set to use for the forecasting. No default value, mandatory option.

  `controlled_varexo = (VARIABLE_NAME…)`

    Specify the exogenous variables to use as control variables. No default value, mandatory option.

  `periods = INTEGER`

    Number of periods of the forecast. Default: `40`. `periods` cannot be less than the number of constrained periods.

  `replic = INTEGER`

    Number of simulations. Default: `5000`.

  `conf_sig = DOUBLE`

    Level of significance for confidence interval. Default: `0.80`

  Example

      var y a
      varexo e u;

      …

      estimation(…);

      conditional_forecast_paths;
      var y;
      periods 1:3, 4:5;
      values 2, 5;
      var a;
      periods 1:5;
      values 3;
      end;

      conditional_forecast(parameter_set = calibration, controlled_varexo = (e, u), replic = 3000);

      plot_conditional_forecast(periods = 10) e u;

Block: conditional_forecast_paths ;

  Describes the path of constrained endogenous, before calling `conditional_forecast`. The syntax is similar to deterministic shocks in `shocks`, see `conditional_forecast` for an example.

  The syntax of the block is the same than the deterministic shocks in the `shocks` blocks (see section Shocks on exogenous variables).

Command: plot_conditional_forecast [VARIABLE_NAME…];
Command: plot_conditional_forecast (periods = INTEGER) [VARIABLE_NAME…];

  Description

  Plots the conditional forecasts.

  To be used after `conditional_forecast`.

  Options

  `periods = INTEGER`

    Number of periods to be plotted. Default: equal to `periods` in `conditional_forecast`. The number of periods declared in `plot_conditional_forecast` cannot be greater than the one declared in `conditional_forecast`.

Command: bvar_forecast ;

  This command computes in-sample or out-sample forecasts for an estimated BVAR model, using Minnesota priors.

  See ‘`bvar-a-la-sims.pdf`’, which comes with Dynare distribution, for more information on this command.

[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ]

This document was generated by SÃ©bastien Villemot on May 24, 2011 using texi2html 1.82.